Main Page Groups Namespaces

# visit_each.h File Reference

## Namespaces
namespace | sigc
namespace | sigc::internal
## Functions
template<class T_action, class T_functor>
void | visit_each (const T_action& _A_action, const T_functor& _A_functor)
| This function performs a functor on each of the targets of a functor.
template<class T_type, class T_action, class T_functor>
void | visit_each_type (const T_action& _A_action, const T_functor& _A_functor)
| This function performs a functor on each of the targets of a functor limited to a restricted type.